[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# LazLongRec

Represents a Long value as low- and high-order signed SmallInt values.

## Declaration

Source position: lclclasses.pp line 35

`type LazLongRec = packed record`
`Hi: SmallInt;` |  | The high-order signed small integer value.
`Lo: SmallInt;` |  | The low-order signed small integer value.
`end;`

## Description

SysUtils has a LongRec structure which uses an unsigned Word type for Lo and Hi. LazLongRec provides a similar record with signed SmallInt members.